%global momorel 11
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global _default_patch_fuzz 2

Summary: Kerry is a KDE frontend for Beagle
Name: kerry
Version: 0.2.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: User Interface/Desktops
URL: http://en.opensuse.org/Kerry
Source0: %{name}-%{version}.tar.bz2 
Source1: %{name}rc
Source10: admin.tar.bz2
Patch0: %{name}-%{version}-beagled-replace.patch
Patch1: %{name}-%{version}-disable-auto-start.patch

# patches from upstream and suse
Patch10: svn.diff
Patch11: fix-desktop-file.diff
Patch12: hu-po.diff
Patch13: beagle-0.3.diff

# patch from cooker
Patch20: %{name}-no-indexing-on-battery.patch

Patch30: %{name}-%{version}-automake111.patch
Patch31: %{name}-%{version}-autoconf265.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: beagle >= 0.3.0
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils >= 0.10
BuildRequires: libbeagle-devel >= 0.3.0
BuildRequires: libtool

%description
A desktop search tool integrated with Beagle and KDE.

%prep
%setup -q

%patch0 -p1 -b .start-replace
%patch1 -p1 -b .disable-auto-start

pushd %{name}
%patch10 -p0 -b .svn
popd
%patch11 -p0 -b .desktop~
%patch12 -p0 -b .hu
%patch13 -p0 -b .beagle03
%patch20 -p0 -b .no-index-on-battery

# fix for new automake
rm -rf admin
tar xf %{SOURCE10}

%patch30 -p1 -b .automake111
%patch31 -p1 -b .autoconf265

# for patches
make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --with-qt-dir=%{qtdir} \
            --with-qt-includes=%{qtdir}/include \
            --with-qt-libraries=%{qtdir}/lib \
	    --with-extra-includes=%{_includedir}/kde \
	    --with-extra-libs=%{_libdir}/kde3 \
            --enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
            --enable-gcc-hidden-visibility \
%endif
            --disable-debug \
            --disable-warnings \
            --disable-rpath

make %{?_smp_mflags}
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} shutdowndir=%{_bindir}

# set Show-Kerry-Dialog shortcut to F12 only (to avoid conflicting with katapult)
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# install desktop file for kerry
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Application \
  --remove-category Core \
  %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/beagled-shutdown.sh
%{_bindir}/%{name}
%{_libdir}/kde3/kcm_beagle.la
%{_libdir}/kde3/kcm_beagle.so
%{_libdir}/kde3/%{name}.la
%{_libdir}/kde3/%{name}.so
%{_libdir}/libkdeinit_%{name}.la
%{_libdir}/libkdeinit_%{name}.so
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/kcmbeagle.desktop
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applnk/.hidden/kcm%{name}.desktop
%{_datadir}/autostart/beagled.desktop
%{_datadir}/autostart/%{name}.autostart.desktop
%{_datadir}/config/%{name}rc
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/kcmbeagle.mo
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-11m)
- full rebuild for mo7 release

* Sun May 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-10m)
- import arts-acinclude.patch as autoconf265.patch from F-13
- fix build with new autoconf

* Fri Apr  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-9m)
- stop auto-starting at default

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.2-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-7m)
- fix build with new automake

- * Thu Apr  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.2.90-0.20090409.1m)
- - update to 20090409 svn snapshot
- - good-bye KDE3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.2-6m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.2-5m)
- %%global _default_patch_fuzz 2
- License: GPLv2+

* Sun Jul 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-4m)
- set Show-Kerry-Dialog shortcut to F12 only (to avoid conflicting with katapult)

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.2-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against gcc43

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- version 0.2.2
- merge upstream, suse and cooker's patches

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-6m)
- specify KDE3 headers and libs
- modify BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-5m)
- %%NoSource -> NoSource

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-4m)
- %%NoSource -> NoSource

* Sun Dec  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-3m)
- rebuild against beagle-0.3.0 (add patch0)

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-2m)
- rebuild against kdelbs

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-1m)
- update to 0.2

* Sat Nov  4 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.99-1m)
- update to 0.1.99 (0.2rc)

* Tue Sep 26 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.91-1m)
- update to 0.1.91
- delete unused patch0

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.90-3m)
- remove Application from Categories of desktop file

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.90-2m)
- rebuild against kdelibs-3.5.4-3m

* Sat Jul  8 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.90-1m)
- update to 0.1.90 (0.2 beta)

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- modify %%files

* Thu Jun  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.1-1m)
- initial build for Momonga Linux
